Bug 217991 - Review Request: perl-Gtk2-Ex-Simple-List - Simple interface to Gtk2's complex MVC list widget
Review Request: perl-Gtk2-Ex-Simple-List - Simple interface to Gtk2's complex...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/Gtk2-Ex-S...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-30 23:19 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-02 13:38:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-30 23:19:16 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Simple-List-0.50-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Simple-List.spec

Description:
Gtk2 has a powerful, but complex MVC (Model, View, Controller) system used
to implement list and tree widgets. Gtk2::Ex::Simple::List automates the
complex setup work and allows you to treat the list model as a more natural
list of lists structure.
Comment 1 Parag AN(पराग) 2006-12-01 03:55:05 EST
will take this for review
Comment 2 Parag AN(पराग) 2006-12-01 23:00:28 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
f66c71bbb794b699f0c3e8ca7cebc35b  Gtk2-Ex-Simple-List-0.50.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 3 Chris Weyl 2006-12-02 13:38:09 EST
Imported and building for devel; branches requested for FC-[56].

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.